Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.propertyrender
Class BorderRender

    java.lang.Object
      nextapp.echo2.webcontainer.propertyrender.BorderRender

    public class BorderRender

extends java.lang.Object

Utility class for rendering `nextapp.echo2.app.Border` properties to CSS.

Method Summary
`static java.lang.String` | `getStyleValue(int style)` Returns the CSS border style value for a given Border.STYLE_XXX constant.
`static java.lang.String` | `renderCssAttributeValue(Border border)` Renders a `Border` property value to a CSS border attribute value.
`static void` | `renderToStyle(CssStyle cssStyle, Border border)` Renders a `Border` property to the given CSS style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStyleValue

    public static final java.lang.String getStyleValue(int style)

  Returns the CSS border style value for a given Border.STYLE_XXX constant.

  Parameters:
    `style` - the style constant
  Returns:
    the CSS style value

### renderCssAttributeValue

    public static java.lang.String renderCssAttributeValue(Border border)

  Renders a `Border` property value to a CSS border attribute value.

  Parameters:
    `border` - the property value
  Returns:
    the CSS attribute value

### renderToStyle

    public static void renderToStyle(CssStyle cssStyle,
                                     Border border)

  Renders a `Border` property to the given CSS style. Null property values are ignored.

  Parameters:
    `cssStyle` - the target `CssStyle`
    `border` - the property value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD